let url_Backend_dwinzo = `http://${process.env.REACT_APP_SERVER_REST_API_BASE_URL}`;

export const sharedWithMeProjectsApi = async () => {
    try {
        const response = await fetch(`${url_Backend_dwinzo}/api/V1/sharedWithMe`, {
            method: "GET",
            headers: {
                Authorization: "Bearer <access_token>",
                "Content-Type": "application/json",
                token: localStorage.getItem("token") || "",
                refresh_token: localStorage.getItem("refreshToken") || "",
            },
        });
        const newAccessToken = response.headers.get("x-access-token");
        if (newAccessToken) {
            localStorage.setItem("token", newAccessToken);
        }

        if (!response.ok) {
            throw new Error("Failed to get shared projects");
        }

        return await response.json();
    } catch {
        console.error("Failed to get shared projects");
    }
};
